Introduction

Altap Salamander: Plugins: Database Viewer: Introduction

Getting Started with Database Viewer Plugin

With Database Viewer you can view basic database files. You can also search in them, copy one or group of items to the clipboard, and bookmark items for fast access.

Supported formats:

  • dBase II, dBase III, dBase IV, dBase V, Visual dBase 7, FoxPRO (*.DBF)
  • Comma separated values (*.CSV)
  • Tab delimited texts (*.TXT)

See File Viewer section in Using Plugins for a description of basic work with plugin viewer.

© 2001-2019 ALTAP. All rights reserved.


Displaying Columns

Some columns in the viewer can be hidden, and you can also change the order of columns.

To show/hide or reorder columns:

  1. Open the Fields dialog box:
    Viewer menu: View/Fields...
    Viewer shortcut key: Ctrl+I
  2. Tick or clear boxes displayed before field names to show or hide appropriate column in the viewer.
  3. Use the Alt+Up and Down Arrow keys to change the order of fields (columns) in the viewer.
  4. Click the OK button.

See Also

Fields dialog box


Selecting Items

You can select items using mouse or keyboard. If you prefer mouse, you need to press (and hold) the left mouse button. It defines the first corner of the area with selected items (the opposite one is dragged by the mouse pointer). While dragging you can move the mouse pointer near the edge of the view for scrolling the view.

If you prefer keyboard, you need to focus the first item, press (and hold) Shift key, it defines the first corner of the area with selected items, and then (the Shift key is still pressed) use arrow keys, Home, End, Page Up, and Page Down keys to move the opposite corner of the area.


Copying Items to Clipboard

You can copy selected items to the clipboard. Items are copied as tab-delimited text, so you can paste them to Microsoft Excel, Microsoft Word, Notepad, etc.

To copy selected items to the clipboard:

  1. Select items you want to copy to the clipboard. See Selecting Items for details.
  2. Copy selected items to the clipboard:
    Viewer menu: Edit/Copy
    Viewer shortcut key: Ctrl+C

See Also

Selecting Items


Showing Properties

Use this command to show the following properties of database file: the file type, file size, date and time of last modification, and number of records and fields.

To show the file properties:

Viewer menu: | File/Properties...
Viewer shortcut key: | Ctrl+F1


Searching

You can search in displayed values in the viewer. See the following commands:

  • Find (the Ctrl+F key): opens the Find dialog box where you can specify the text you want to search for and search options,
  • Find Next (the Ctrl+N key): repeat searching,
  • Find Previous (the Ctrl+P key): repeat searching but in the opposite direction.

You can find all described commands in viewer menu Edit.

See Also

Find dialog box


Using Bookmarks

You can bookmark any item in the viewer. It allows you to find this item later very quickly. Bookmarked items have red marks in upper right corners. Use the following commands to work with bookmarks:

  • Toggle Bookmark (the Ctrl+F2 key): bookmark focused item or remove bookmark from focused item,
  • Next Bookmark (the F2 key): go to the next bookmark,
  • Previous Bookmark (the Shift+F2 key): go to the previous bookmark,
  • Clear All Bookmarks (the Ctrl+Shift+F2 key): clear all bookmarks.

You can find all described commands in viewer menu Edit.


Configuring Viewer

You can customize the viewer using this command.

To configure the viewer:

Viewer menu: Options/Configuration...

See Also

Configuration dialog box


Setting CSV Options

Use this command to customize reading of CSV files. You can choose a character which separates values in rows, specify if text values are surrounded by some quotes or not, and select how to use a first row in CSV file (for column names or as data). See CSV Options dialog box for details.

To set the CSV options:

Viewer menu: Options/CSV Options...

See Also

CSV Options dialog box


Converting Text Values

Text values in database files can be stored in various code pages. If you want to see them readable, you may need to convert them to ANSI code page (it depends on current regional settings). The viewer supports these conversions by the following commands:

  • Auto-Select: if checked, the viewer tries to autodetect needed conversion,
  • Don't Convert, custom conversions (they are defined in CONVERT directory in Altap Salamander installation), OEM-ANSI, and ANSI-OEM: currently used conversion is checked (Don't Convert is checked if no conversion is used), you can choose any conversion from the list,
  • Set as Default: use this command to set the current conversion as default for all future viewing (it also turns off Auto-Select),
  • Next (the F8 key): try to use next conversion from menu (you can try to go through all conversions to choose in which conversion the text values are best readable),
  • Previous (the Shift+F8 key): try to use previous conversion from menu.

You can find all described commands in viewer menu Convert.


Viewing in Full Screen

Use this command to maximize the viewer window. If the viewer window is already maximized, use this command to restore it to its original size and position.

To maximize/restore the viewer window:

Viewer menu: | View/Full Screen
Viewer shortcut key: | F11


Opening File

Use this command to open another database file in the viewer.

Note: it's usually simpler to close the current viewer window (the Escape key), find the database file in panel or in the Find window, and open it in the viewer (the F3 key).

To open file:

  1. Open the Open dialog box:
    Viewer menu: File/Open...
    Viewer shortcut key: Ctrl+O
  2. Select the file.
  3. Click the Open button.


Opening Previous or Next File from Panel or Find Window

When there are several database files in one directory in a panel or the found files list in the Find window, you can use the View command for any of them and then view all others in the same viewer window one by one using the following commands:

  • Previous (the Backspace key): open the previous database file,
  • Next (the Space key): open the next database file,
  • Previous Selected (the Ctrl+Backspace key): open the previous selected database file,
  • Next Selected (the Ctrl+Space key): open the next selected database file,
  • First (the Shift+Backspace key): open the first database file,
  • Last (the Shift+Space key): open the last database file.

Note: all these commands work only until you change the content of the panel or Find window from which you opened the viewer.

You can find all these commands in viewer submenu: File/Other Files.


Reloading File

Use this command to reload the file (refresh data in the viewer).

To reload data from the file:

Viewer menu: | File/Refresh
Viewer shortcut key: | Ctrl+R


Database Viewer Configuration dialog box

Altap Salamander: Plugins: Database Viewer: Dialog Boxes

Database Viewer Configuration

Use this dialog box to customize the viewer. See Configuring Plugins for general information about configuration.

Options

Font
Use this button to choose the font for displaying all values in the viewer.
Window position: Save on close
When checked, new viewer window will be opened on the same place and in the same size as the last closed viewer window.
Window position: Set to position of Salamander's main window
When checked, new viewer window will be opened on the same place and in the same size as the main window of Altap Salamander.

See Also

Configuring Viewer


CSV Options dialog box

Altap Salamander: Plugins: Database Viewer: Dialog Boxes

CSV Options

You can customize reading of CSV files in this dialog.

Options

Separator: Auto-select, Tabulator, Semicolon, Comma, Space, Other
Specify a character which separates values in rows. Auto-select tries to find out automatically what character is the separator.
Text Qualifier: Auto-select, Double Quotes, Quotes, None
Specify if text values are surrounded by some quotes or not. Auto-select tries to recognize automatically is the file contains text values with or without quotes.
First Row: Auto-select, As Column Names, As Data
Select how to use the first row in CSV file: as column names or as data. All other rows in file are always used as data. Auto-select tries to detect if the first row contains column names rather than data, but it's not always possible (e.g. when all columns contain text values, it's impossible to distinguish between value and column name, because both are text).
Set as Default
Click this button to set the current options as the default for all future viewings of CSV files.

See Also

Setting CSV Options


Fields dialog box

Altap Salamander: Plugins: Database Viewer: Dialog Boxes

Fields

Fields (columns) of the displayed file are listed in this dialog box. You can see data type, width and number of decimals (valid only for numbers) for each field. Tick or clear boxes displayed before field names to show or hide appropriate column in the viewer. Use the Alt+Up and Down Arrow keys to change the order of fields (columns) in the viewer.

Options

Restore Defaults
Use this button to show all fields (columns) in the viewer and to return to the original order of fields (columns) in the viewer.

See Also

Displaying Columns


Find dialog box

Altap Salamander: Plugins: Database Viewer: Dialog Boxes

Find

Use this dialog box to specify a string to search for, as well as options to use when searching for text in a viewed file.

Options

Find
Provides a space for you to specify the search text or regular expression to match. Type the text or expression in the Find box. Use the drop-down list to select previous search strings. If you use regular expressions, be sure the Regular expression check box is selected.
Search forward
When selected, indicates that the direction of the search will be from the current view position towards the end of the file.
Search backward
When selected, indicates that the direction of the search will be from the current view position towards the beginning of the file.
Whole words
When selected, finds text strings that match the Find string and are preceded and followed by a space, tab, or punctuation character, or are at the start or end of a line. Otherwise, the search finds any matching string, whether it is a fragment of a larger string or not.
Case sensitive
When selected, searches for text strings that match the case of the characters in the Find string exactly. Otherwise, the search finds strings with either uppercase or lowercase characters that match the characters in the Find string.
Regular expression
When checked, type a regular expression to the Find box. The regular expressions are much more powerful than the simple text expressions, you can use them to find texts with specific attributes. These attributes are for example "pattern begins at the beginning of line", "pattern ends at the end of line", "pattern starts with some prefix and ends with some suffix", "pattern is one word from a set of words", or "pattern contains only characters from some character sequence (e.g. numbers)".

See Also

Searching